import request from '@/api/request.js'
    
//登录
function login(data){
	return request({
		url: '/api/login/login',
		method: 'post',
		data
	})
}
//登录
function editpass(data){
	return request({
		url: '/api/login/editpass',
		method: 'post',
		data
	})
}
//登录
function h5wxlogin(data){
	return request({
		url: '/api/login/h5wxlogin',
		method: 'post',
		data
	})
}

function sendRegCode(data){
	return request({
		url: '/api/sms/sendRegCode',
		method: 'post',
		data
	})
}
//注册
function reg(data){
	return request({
		url: '/api/login/reg',
		method: 'post',
		data
	})
}
//获取验证码
function sendvecode(data) {
	return request({
		url: '/api/index/send ',
		method: 'post',
		data
	})
}
//微信登录
function wxlogin_v2(data) {
	return request({
		url: '/api/login/wxlogin',
		method: 'post',
		data
	})
}
//微信登录
function wxlogin(data) {
	return request({
		url: '/api/login/appwxlogin',
		method: 'post',
		data
	})
}
function wxxcxLogin(data){
	return request({
		url: '/api/WxLogin/reglog',
		method: 'post',
		data
	})
}
//QQ登录
function qqlogin(data) {
	return request({
		url: '/api/login/appqqlogin',
		method: 'post',
		data
	})
}

//获取配置(获取appid)
function wxgzhappid(data) {
	return request({
		url: '/api/shop/wxgzhappid',
		method: 'post',
		data
	})
}
//更新用户基本信息
function upuserinfo(data) {
	return request({
		url: '/api/login/upuserinfo',
		method: 'post',
		data
	})
}
export default {
	wxgzhappid,
	upuserinfo,
	qqlogin,
	wxlogin,
	sendvecode,
	login,
	wxxcxLogin,
	h5wxlogin,
	editpass,
	wxlogin_v2,
	sendRegCode,
	reg
}